# $Revision: 1.38 $, $Date: 2011/12/03 10:06:44 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	Pod
Summary:	Test::Pod Perl module - check for POD errors in files
Summary(pl.UTF-8):	Moduł Perla Test::Pod - szukanie błędów POD w plikach
Name:		perl-Test-Pod
Version:	1.45
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	089c8f272931df82f6c4d11a74f04628
URL:		http://search.cpan.org/dist/Test-Pod/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Test-Builder-Tester >= 1.02
BuildRequires:	perl-Test-Simple >= 0.62
BuildRequires:	perl-Pod-Simple >= 3.06
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Check POD files for errors or warnings in a test file, using
Pod::Checker to do the heavy lifting.

%description -l pl.UTF-8
Ten moduł przeszukuje pliki POD pod kątem błędów lub ostrzeżeń w pliku
testowym, wykorzystując do tego moduł Pod::Checker.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Test/Pod.pm
%{_mandir}/man3/Test::Pod.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Pod.spec,v $
Revision 1.38  2011/12/03 10:06:44  qboosh
- updated to 1.45

Revision 1.37  2011/02/22 16:33:53  qboosh
- updated to 1.44

Revision 1.36  2009/11/03 17:51:43  sls
- BR: perl-Pod-Simple >= 3.06 (actually 3.05 < N <= 3.08)

Revision 1.35  2009/10/16 06:41:40  amateja
- updated to 1.40

Revision 1.34  2007/03/31 16:49:19  qboosh
- generic URL

Revision 1.33  2007/03/27 09:39:25  radek
- release 2: BR T::B::T 1.02

Revision 1.32  2007/02/13 07:47:15  glen
- tabs in preamble

Revision 1.31  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.30  2006/10/21 18:59:50  ankry
- ver. 1.26

Revision 1.29  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.28  2004/11/03 22:30:48  paladine
- formatting

Revision 1.27  2004/08/08 17:06:26  adamg
- updated to 1.20

Revision 1.26  2004/05/06 18:43:23  ankry
- fixed perl-devel BR

Revision 1.25  2004/05/03 00:55:42  ankry
- license fixes, cosmetics

Revision 1.24  2004/05/02 07:00:40  adamg
- updated to 1.16

Revision 1.23  2004/04/15 21:24:54  ankry
- cosmetics

Revision 1.22  2004/03/28 11:44:52  adamg
- updated to 1.12

Revision 1.21  2004/02/16 21:58:23  adamg
- updated to 1.08

Revision 1.20  2003/11/12 07:29:44  qboosh
- up to 1.02

Revision 1.19  2003/11/10 22:07:52  migo
- up to 1.00
- removed status from description

Revision 1.18  2003/10/12 17:33:58  migo
- up to 0.96

Revision 1.17  2003/10/04 09:18:08  migo
- new bcond system
- fixed BRs(?), cosmetics

Revision 1.16  2003/09/09 10:24:50  ankry
- spaces -> tab

Revision 1.15  2003/08/18 08:09:18  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:25:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.11  2003/03/13 00:03:41  ankry
- merge from RA-branch: updated to 0.95

Revision 1.10  2003/03/01 21:34:40  radek
- should be ready for perl-5.8.0; release++

Revision 1.9  2003/02/25 00:42:33  radek
- use the __perl macro

Revision 1.8  2003/02/18 15:38:38  ankry
- massive attack: change CPAN URLs

Revision 1.7  2003/01/15 18:35:37  mis
- autoupdated to 0.90

Revision 1.6  2002/11/21 16:50:46  mis
- autoupdated to 0.72

Revision 1.5  2002/09/12 22:20:34  radek
- version 0.71
- added Changes file

Revision 1.4  2002/09/08 11:03:29  radek
- version 0.63

Revision 1.3  2002/09/04 11:19:23  radek
- version 0.62

Revision 1.2  2002/08/26 16:20:01  qboosh
- pl description

Revision 1.1  2002/08/25 16:00:08  radek
- new, STBR
